### Function

# Qmi MessageImsSetImsServicesEnabledSettingInput new

since: 1.38

#### Declaration [src]

    QmiMessageImsSetImsServicesEnabledSettingInput*
    qmi_message_ims_set_ims_services_enabled_setting_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageImsSetImsServicesEnabledSettingInput`.

Available since: 1.38

#### Return value

Type: `QmiMessageImsSetImsServicesEnabledSettingInput`

The newly created `QmiMessageImsSetImsServicesEnabledSettingInput`. The returned value should be freed with qmi_message_ims_set_ims_services_enabled_setting_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.